Name: gst-editor
Version: 0.8.0
Release: alt1

Summary: GStreamer media pipelines editor and GUI tools
License: LGPL
Group: Development/Other
Url: http://gstreamer.freedesktop.org

Source: %url/src/%name/%name-%version.tar.bz2

%define gstreamer_ver 0.8.4
%define glade_ver 2.4.0
%define libgnomeui_ver 2.8.0
%define libxml2_ver 2.5.6
%define gtk_ver 2.5.3
%define scrollkeeper_ver 0.3.14
%define gnome_common_ver 2.8.0

PreReq: scrollkeeper >= %scrollkeeper_ver

Requires: libxml2 >= %libxml2_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libgstreamer >= %gstreamer_ver
Requires: libglade2 >= %glade_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgstreamer >= %gstreamer_ver
Requires: gstreamer-utils >= %gstreamer_ver

BuildPreReq: gnome-common >= %gnome_common_ver

BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: gstreamer-devel >= %gstreamer_ver
BuildPreReq: libglade2-devel >= %glade_ver

# Automatically added by buildreq on Tue Nov 09 2004
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel gstreamer-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper

%description
GStreamer Pipeline Editor, also known as gst-editor, allows
the user to view, manipulate, save and run GStreamer media pipelines.
This package contains gst-editor and a few graphical tools.
gst-launch-gui is an extension of gst-launch allowing to dynamically
turn on logging domains.
gst-inspect-gui is a graphical element browser.

%package devel
Summary: Development headers for the Editor
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provides the necessary development libraries and include
files to allow you to embed the editor in other applications or call upon its
functionality.

%prep
%setup -q
%__subst 's,@PACKAGE@/,,' help/{xmldocs.make,*/Makefile.in}

%build
export LDFLAGS=-export-dynamic
%configure --disable-static \
	    --disable-rpath
%make_build

%install
%makeinstall

# menus
%__cat <<__MENU__ > %name.menu
?package(%name): needs="x11" title="GStreamer" longtitle="A framework for streaming media" \
section="Applications/Development/Tools/" icon="gstreamer.png"
?package(%name): command="%name" needs="x11" \
title="gst-editor" longtitle="GStreamer Pipelines editor" \
section="Applications/Development/Tools/GStreamer" icon="%name.png"
?package(%name): command="gst-inspect-gui" needs="x11" \
title="gst-inspect" longtitle="A graphical GStreamer element browser" \
section="Applications/Development/Tools/GStreamer" icon="gst-inspect.png"
?package(%name): command="gst-launch-gui" needs="x11" \
title="gst-launch" longtitle="A graphical tool to build and run a GStreamer pipelines" \
section="Applications/Development/Tools/GStreamer" icon="gst-launch.png"
__MENU__

%__install -p -m644 -D %name.menu %buildroot%_menudir/%name

# remove non-packaged files
%__rm -rf %buildroot/var

#%find_lang --with-gnome --output=%name.lang %name %name-manual
%find_lang --with-gnome %name

%post
%post_ldconfig
%update_scrollkeeper
%update_menus

%postun
%postun_ldconfig
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_libdir/*.so.*
%_datadir/%name
%_datadir/applications/*
%_datadir/pixmaps/*
%_man1dir/*
%_menudir/*
%doc AUTHORS NEWS README RELEASE ChangeLog

%files devel
%_includedir/gst-editor-%version
%_libdir/*.so
%doc HACKING TODO

%changelog
* Tue Nov 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1
- 0.8.0

* Sat Apr 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt1
- 0.7.0

* Thu Oct 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt3
- fix %%build.

* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt2
- fixed %%build.
- updated buildreqs.

* Sun Apr 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt1
- First build for Sisyphus.
